# Labeling

### Response content

**labels**

| Attribute     | Type     | Description           |
| ------------- | -------- | --------------------- |
| `category`    | `string` | The category label    |
| `subcategory` | `string` | The subcategory label |

#### Example output

```json
{
    "dataNinja": {
        "labeling": {
            "accounts": [
                {
                    "id": "fabd6722-2581-4c99-aa00-0aa49acc9491",
                    "number": "PL58116070765946731007774648",
                    "name": "Konto 360",
                    "openedAt": "2022-06-24T11:20:43.577Z",
                    "currency": "PLN",
                    "availableBalance": 3495,
                    "bookingBalance": 3769,
                    "overdraftLimit": 0,
                    "bic": "BIGBPLPW",
                    "transactions": [
                        {
                            "id": "229c85e3-b565-4af8-afe2-fee94cce779c",
                            "accountId": "48ea0a89-1179-4d71-8550-b4f876d81ee5",
                            "amount": -3764,
                            "currency": "PLN",
                            "title": "ZAKUP PRZY UŻYCIU KARTY - SPRZĘT KOMPUTEROWY",
                            "tradedAt": "2022-06-02T02:03:31.258Z",
                            "status": "DONE",
                            "accountNumber": "PL75249035014806153048026854",
                            "description": "additional info",
                            "bookedAt": "2022-06-02T02:03:31.258Z",
                            "counterpartyName": "Komputronik SA",
                            "counterpartyBic": "IEEAPLPAXXX",
                            "counterpartyBankName": "Bank Zachodni WBK SA",
                            "category": "CARDPAYMENT",
                            "labels": {
                                "category": "shopping",
                                "subcategory": "electronics"
                            }
                        },
                        {
                            "id": "55f39c41-e286-4b80-afae-e9220714d2b8",
                            "accountId": "48ea0a89-1179-4d71-8550-b4f876d81ee5",
                            "amount": 7795,
                            "currency": "PLN",
                            "title": "Faktura za wynajem",
                            "tradedAt": "2022-05-13T19:18:54.638Z",
                            "status": "DONE",
                            "accountNumber": "PL75249035014806153048026854",
                            "description": "additional info",
                            "bookedAt": "2022-05-13T19:18:54.638Z",
                            "counterpartyAccount": "PL23116022600319418058981335",
                            "counterpartyName": "Sklep Alexander",
                            "counterpartyBic": "IEEAPLPAXXX",
                            "counterpartyBankName": "Bank Millenium SA",
                            "category": "TRANSFER",
                            "labels": {
                                "category": "salary",
                                "subcategory": "rent_income"
                            }
                        },
                        {
                            "id": "9a517118-53e7-4bd7-be59-2aad5c2f1333",
                            "accountId": "48ea0a89-1179-4d71-8550-b4f876d81ee5",
                            "amount": -5717,
                            "currency": "PLN",
                            "title": "Faktura za wynajem biura",
                            "tradedAt": "2022-06-29T00:41:54.581Z",
                            "status": "DONE",
                            "accountNumber": "PL75249035014806153048026854",
                            "description": "additional info",
                            "bookedAt": "2022-06-29T00:41:54.581Z",
                            "counterpartyAccount": "PL89116069235179096973046284",
                            "counterpartyName": "Bolesław Włodarczyk",
                            "counterpartyBic": "IEEAPLPAXXX",
                            "counterpartyBankName": "Bank Millenium SA",
                            "category": "TRANSFER",
                            "labels": {
                                "category": "real_estate_rent",
                                "subcategory": ""
                            }
                        }
                    ]
                }
            ]
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/data-ninja/labeling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
